aboutsummaryrefslogtreecommitdiffstats
path: root/extra/portmap/portmap.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-01-12 15:15:17 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-12 15:15:17 +0000
commitb878e03459cca5630a71c8858fc0d55093ed66b0 (patch)
tree0942df386685b391284192fb9087e071bfd5be24 /extra/portmap/portmap.initd
parent2e1b45398f5bb982f5879a2e0d0160a48c942506 (diff)
downloadaports-b878e03459cca5630a71c8858fc0d55093ed66b0.tar.gz
aports-b878e03459cca5630a71c8858fc0d55093ed66b0.tar.bz2
aports-b878e03459cca5630a71c8858fc0d55093ed66b0.tar.xz
extra/portmap: new aport
Diffstat (limited to 'extra/portmap/portmap.initd')
-rw-r--r--extra/portmap/portmap.initd46
1 files changed, 46 insertions, 0 deletions
diff --git a/extra/portmap/portmap.initd b/extra/portmap/portmap.initd
new file mode 100644
index 0000000000..65d23d7484
--- /dev/null
+++ b/extra/portmap/portmap.initd
@@ -0,0 +1,46 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-nds/portmap/files/portmap.rc6,v 1.12 2007/06/13 07:52:44 vapier Exp $
+
+depend() {
+ use net
+ before inetd
+ before xinetd
+}
+
+start() {
+ ebegin "Starting portmap"
+ start-stop-daemon --start --quiet --exec /sbin/portmap -- ${PORTMAP_OPTS}
+ local ret=$?
+ eend ${ret}
+ # without, if a service depending on portmap is started too fast,
+ # connecting to portmap will fail -- azarah
+ sleep 1
+ return ${ret}
+}
+
+stop() {
+ ebegin "Stopping portmap"
+ start-stop-daemon --stop --quiet --exec /sbin/portmap
+ eend $?
+}
+
+restart() {
+ # Dump the portmapper's table before stopping
+ ebegin "Saving portmap table"
+ local pmap=$(pmap_dump)
+ eend $?
+
+ # Stop and restart portmapper
+ svc_stop
+ sleep 1
+ svc_start
+
+ # Reload the portmapper's table
+ if [ -n "${pmap}" ] ; then
+ ebegin "Reloading portmap table"
+ echo "${pmap}" | pmap_set
+ eend $?
+ fi
+}